IPPURLConnection
Keywords: org.cups.IPPURLConnection,IPPURLConnection class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cups
Class IPPURLConnection

    java.lang.Object
      |
      +--java.net.URLConnection
            |
            +--org.cups.IPPURLConnection

public class IPPURLConnection
extends java.net.URLConnection

Field Summary

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`IPPURLConnection(java.net.URL url)` Constructor.

Method Summary
`void` | `connect()` Not used.
`void` | `disconnect()` Not used.
`boolean` | `usingProxy()` Determine if using proxy.

Methods inherited from class java.net.URLConnection
`addRequestProperty, getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFields, getIfModifiedSince, getInputStream, getLastModified, getOutputStream, getPermission, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setRequestProperty, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IPPURLConnection

    public IPPURLConnection(java.net.URL url)

  Constructor.

Method Detail

### usingProxy

    public boolean usingProxy()

  Determine if using proxy.

  Returns:
    `boolean` Always `false` for now.

### connect

    public void connect()

  Not used.

  Specified by:
    `connect` in class `java.net.URLConnection`

### disconnect

    public void disconnect()

  Not used.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD